<div id="EditShop">
    <div class="shop-input-div text-center">

        <b-alert :show="true"
                 variant="primary"
                 class="w-50 mx-auto"
                 v-if="$store.getters.accountTypeId === 3"
        >
            Attenzione! Se apporti delle modifiche al tuo negozio, questo
            dovrà essere nuovamente verificato, fino ad allora non sarà
            visible sulla piattaforma.
        </b-alert>

        <b-container>
            <b-row cols="1" cols-sm="1" cols-md="1" cols-lg="1" cols-xl="1" class="mt-4">
                <vue-upload-multiple-image
                    @upload-success="uploadImageSuccess"
                    @before-remove="beforeRemove"
                    @edit-image="editImage"
                    @mark-is-primary="markIsPrimary"
                    :data-images="this.initialImages"
                    idUpload="myIdUpload"
                    editUpload="myIdEdit"
                    drag-text="Trascina qui un'immagine"
                    browse-text="o clicca qui"
                    primary-text="copertina"
                    mark-is-primary-text="secondaria"
                    popup-text=""
                    drop-text="Lascia pure qui!"
                    class="d-flex justify-content-center mt-3 mb-3"

                />
            </b-row>
            <shop-form v-model="shop" @userInput="userInput"/>
        </b-container>
        <b-button variant="success"
                  @click="editShop"
                  :disabled="buttonDisabled"
                  style="height: 4rem; margin-bottom: 5vh"
                  class="shadowOnHover create-shop-button shadow">
            {{ $store.getters.accountTypeId === 3 ? 'Modifica' : 'Modifica e valida' }}
        </b-button>
    </div>
</div>
